An app configuration

### Hierarchy

- SCAppConfiguration

## Index

### Properties

- campusPolygon
- features
- imageUrl
- menus
- name
- privacyPolicyUrl
- settings
- storeUrl
- url

## Properties

### campusPolygon

campusPolygon: Polygon

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4347

Polygon that encapsulates the main campus

### features

features: SCAppConfigurationFeature

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4351

A list of features to en- or disable

### Optional imageUrl

imageUrl: undefined | string

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4355

A URL where images are available

### menus

menus: SCAppConfigurationMenuCategory[]

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4359

A list of available menu categories in the app

### name

name: string

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4363

Name for the app

### privacyPolicyUrl

privacyPolicyUrl: string

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4367

URL to a file containing the privacy policy

### settings

settings: SCSetting[]

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4371

A list of available settings in the app

### Optional storeUrl

storeUrl: SCAppConfigurationStoreUrl

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4375

Map of store URLs

### Optional url

url: undefined | string

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4379

URL where a web instance of the app is available

Generated using TypeDoc